odbc_cursor
odbc_do
ODBC Functions
PHP Manual

# odbc_data_source

(PHP 4 >= 4.3.0, PHP 5)

odbc_data_source — Returns information about a current connection

### Description

array odbc_data_source ( resource `$connection_id` , int `$fetch_type` )

This function will return the list of available DSN (after calling it several times).

### Parameters

`connection_id`

  The ODBC connection identifier, see odbc_connect() for details.

`fetch_type`

  The `fetch_type` can be one of two constant types: `SQL_FETCH_FIRST`, `SQL_FETCH_NEXT`. Use `SQL_FETCH_FIRST` the first time this function is called, thereafter use the `SQL_FETCH_NEXT`.

### Return Values

Returns `FALSE` on error, and an array upon success.

odbc_cursor
odbc_do
ODBC Functions
PHP Manual